using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace kalektor
{
    internal class Program
    {
        static void Main(string[] args)
        {
            string again = "да";
            while (again == "да")
            {
                Console.WriteLine("привет");
                Console.WriteLine("привет");
                Console.WriteLine("приве22т");
                Console.WriteLine("привет");
                Console.WriteLine("привет123");
                double a;
                double b;
                double total;
                char oper;
              



                

                Console.WriteLine("Здраствуйте я Калектор был создан для того что бы считовать разные рассчеты.И да главное задача вас ебать\n");
                Console.WriteLine("знак + для сложение,знак минус для вычитание,знак / для деление,знак * для умножение,\n");
                Console.WriteLine("что бы посчитать степень нажмити 1,для того что бы вызвать извлечение корня нажмити 2,\n");
                Console.WriteLine("что бы посчитать процент от числа нажмити 3,для того что бы посчитать log нажмити 4 для sin 5 для ctg 6");
                oper = Convert.ToChar(Console.ReadLine());
                


                if (oper == '+')
                {
                    Console.WriteLine("Введите первое число:");
                    a = Convert.ToDouble(Console.ReadLine());

                    Console.WriteLine("Введите второе число:");
                    b = Convert.ToDouble(Console.ReadLine());

                    total = a + b;
                    Console.WriteLine(a + " + " + b + " = " + total + ".");
                }

                else if (oper == '-')
                {
                    Console.WriteLine("Введите первое число:");
                    a = Convert.ToDouble(Console.ReadLine());

                    Console.WriteLine("Введите второе число:");
                    b = Convert.ToDouble(Console.ReadLine());

                    total = a - b;
                    Console.WriteLine(a + " - " + b + " = " + total + ".");
                }

                else if (oper == '*')
                {
                    Console.WriteLine("Введите первое число:");
                    a = Convert.ToDouble(Console.ReadLine());

                    Console.WriteLine("Введите второе число:");
                    b = Convert.ToDouble(Console.ReadLine());

                    total = a * b;
                    Console.WriteLine(a + " * " + b + " = " + total + ".");
                }

                else if (oper == '/')
                {
                    Console.WriteLine("Введите первое число:");
                    a = Convert.ToDouble(Console.ReadLine());

                    Console.WriteLine("Введите второе число:");
                    b = Convert.ToDouble(Console.ReadLine());

                    total = a / b;
                    Console.WriteLine(a + " / " + b + " = " + total + ".");
                }
                else if (oper == '1')
                {
                    Console.WriteLine("Введите первое число:");
                    a = Convert.ToDouble(Console.ReadLine());

                    Console.WriteLine("Введите второе число:");
                    b = Convert.ToDouble(Console.ReadLine());

                    total = Math.Pow(a, b);
                    Console.WriteLine( " = " + total + ".");
                }
                  else if (oper == '2')
                {
                    Console.WriteLine("Введите первое число:");
                    a = Convert.ToDouble(Console.ReadLine());
                    total = Math.Sqrt(a);
                    Console.WriteLine(a  + " = Излеченый корен" + total + ".");
                }
                  else if (oper == '3')
                {
                    Console.WriteLine("Введите первое число:");
                    a = Convert.ToDouble(Console.ReadLine());

                    Console.WriteLine("Введите второе число:");
                    b = Convert.ToDouble(Console.ReadLine());

                    total = (a/100)*b;
                    Console.WriteLine(a + "" + b + " процент " + " = " + total + ".");
                }
                else if (oper == '4')
                {
                    Console.WriteLine("Введите первое число:");
                    a = Convert.ToDouble(Console.ReadLine());

                    Console.WriteLine("Введите второе число:");
                    b = Convert.ToDouble(Console.ReadLine());

                    total = (Math.Log(b)/Math.Log(a));
                    Console.WriteLine(a + " log " + b + " = " + total + ".");
                }
           
                   else if (oper == '5')
                {
                    Console.WriteLine("Введите первое число:");
                    a = Convert.ToDouble(Console.ReadLine());
                    total = (Math.Sin(a*Math.PI/180));
                    Console.WriteLine(a + " log " + " = " + total + ".");
                }
                   else if (oper == '6')
                {
                    Console.WriteLine("Введите первое число:");
                    a = Convert.ToDouble(Console.ReadLine());
                    total = Math.Cos(a * Math.PI / 180) / (Math.Sin(a * Math.PI / 180));
                    Console.WriteLine(a + " log " + " = " + total + ".");
                }
                else
                {
                    Console.WriteLine("Неизвестный оператор.");
                }
                Console.WriteLine("Вы хотите продолжить работу с калькулятором? (да/нет)");
                again = (Console.ReadLine());
            }
        }
    }
}